FLANG

Public Member Functions | Static Public Member Functions | List of all members
fir::FIROpsDialect Class Referencefinal

FIR dialect. More...

`#include <flang/Optimizer/Dialect/FIRDialect.h>`

Inheritance diagram for fir::FIROpsDialect:

## Public Member Functions
| FIROpsDialect (mlir::MLIRContext *ctx)
mlir::Type | parseType (mlir::DialectAsmParser &parser) const override
void | printType (mlir::Type ty, mlir::DialectAsmPrinter &p) const override
mlir::Attribute | parseAttribute (mlir::DialectAsmParser &parser, mlir::Type type) const override
void | printAttribute (mlir::Attribute attr, mlir::DialectAsmPrinter &p) const override

## Static Public Member Functions
static llvm::StringRef | getDialectNamespace ()

## Detailed Description

FIR dialect.

The documentation for this class was generated from the following files:

- include/flang/Optimizer/Dialect/FIRDialect.h
- lib/Optimizer/Dialect/FIRDialect.cpp